> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Point Definition

> A `PUT` to the `/points/definitions/{definitionId}` endpoint allows your application to edit a specific Points Definition record.



## OpenAPI

````yaml put /v3/points/definitions/{definition}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/points/definitions/{definition}:
    put:
      tags:
        - Point Definition
      summary: Edit Point Definition
      description: >-
        A `PUT` to the `/points/definitions/{definitionId}` endpoint allows your
        application to edit a specific Points Definition record.
      operationId: points.definitions.update
      parameters:
        - name: definition
          in: path
          required: true
          description: The definition ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePointDefinition'
      responses:
        '200':
          description: '`PointDefinition`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PointDefinition'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdatePointDefinition:
      type: object
      properties:
        name:
          type: string
        region_id:
          type:
            - integer
            - 'null'
        currency:
          type:
            - string
            - 'null'
          pattern: ^[A-Z]+$
        description:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        is_reassignable:
          type:
            - boolean
            - 'null'
        issue_period:
          type:
            - integer
            - 'null'
        issue_period_type:
          type:
            - string
            - 'null'
          enum:
            - hours
            - days
            - weeks
            - months
            - years
            - absolute_date
            - absolute_week
            - absolute_month
        issue_absolute_expiry:
          type:
            - string
            - 'null'
        tags:
          type: array
          items:
            type: string
      title: UpdatePointDefinition
    PointDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        currency:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        is_reassignable:
          type: boolean
        issue_period:
          type:
            - integer
            - 'null'
        issue_period_type:
          type:
            - string
            - 'null'
        issue_absolute_expiry:
          type:
            - string
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - region_id
        - region
        - currency
        - description
        - notes
        - is_reassignable
        - issue_period
        - issue_period_type
        - issue_absolute_expiry
        - tags
        - created_at
        - updated_at
      title: PointDefinition
    Tag:
      type: string
      title: Tag
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````